Bug 1772310 - [ceph-config] ceph config show mon.<> fsid does not display current fsid of the cluster
Summary: [ceph-config] ceph config show mon.<> fsid does not display current fsid of t...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS
Version: 4.0
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: z2
: 4.1
Assignee: Neha Ojha
QA Contact: Pawan
Aron Gunn
URL:
Whiteboard:
Depends On:
Blocks: 1730176 1816167 1855471
TreeView+ depends on / blocked
 
Reported: 2019-11-14 05:22 UTC by Madhavi Kasturi
Modified: 2020-09-30 17:25 UTC (History)
15 users (show)

Fixed In Version: ceph-14.2.8-100.el8cp, ceph-14.2.8-100.el7cp
Doc Type: Bug Fix
Doc Text:
.The `ceph config show` command displays the correct `fsid` Previously, the `ceph config show` command only displayed the configuration keys present in the Ceph Monitor's database, and because the `fsid` is a `NO_MON_UPDATE` configuration value, the `fsid` was not displaying correctly. With this release, the `ceph config show` command displays the correct `fsid` value.
Clone Of:
: 1855471 (view as bug list)
Environment:
Last Closed: 2020-09-30 17:24:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 46123 None None None 2020-07-09 23:45:46 UTC
Github ceph ceph pull 35662 None closed mgr/DaemonServer.cc: make 'config show' on fsid work 2020-10-23 10:14:15 UTC
Github ceph ceph pull 36074 None closed nautilus: mgr/DaemonServer.cc: make 'config show' on fsid work 2020-10-23 10:14:16 UTC
Red Hat Product Errata RHBA-2020:4144 None None None 2020-09-30 17:25:27 UTC

Comment 2 Ernesto Puerta 2019-11-15 11:55:31 UTC
Josh, that's true, to add more context about this issue:
- It comes from: https://bugzilla.redhat.com/show_bug.cgi?id=1765493
- The discussion there revolved around whether "ceph config" command should be the single point for configuration mgmt, hence showing actual values for daemons as well (if that's even possible).

Comment 3 Josh Durgin 2019-11-19 00:38:49 UTC
(In reply to Ernesto Puerta from comment #2)
> Josh, that's true, to add more context about this issue:
> - It comes from: https://bugzilla.redhat.com/show_bug.cgi?id=1765493
> - The discussion there revolved around whether "ceph config" command should
> be the single point for configuration mgmt, hence showing actual values for
> daemons as well (if that's even possible).

Thanks for the context Ernesto. Looking at the current output via the dashboard host listed in that BZ, I do see all the settings mentioned (including fsid) showing their current settings. E.g. for mon_allow_pool_deletes it lists mon: true, mgr: true. Am I missing something, or is this working now?

Comment 16 Josh Durgin 2020-03-23 20:41:08 UTC
included in 14.2.8 rebase

Comment 38 errata-xmlrpc 2020-09-30 17:24:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Red Hat Ceph Storage 4.1 Bug Fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4144


Note You need to log in before you can comment on or make changes to this bug.